Vla-get-viewports

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-viewports vla-object)


機能
図面内のすべてのビューポートのコレクションを取得する


引数
  • vla-object … ドキュメントの VLA オブジェクト


戻り値
ビューポートコレクションの VLA オブジェクト


サンプル
(setq *ActDoc* (vla-get-ActiveDocument (vlax-get-Acad-Object)))
(setq *vports* (vla-get-viewports *ActDoc*))

(vlax-dump-object *vports*)
; IAcadViewports: 図面内のすべてのビューポートのコレクション
; プロパティの値:
;   Application (RO) = #<VLA-OBJECT IAcadApplication 00000001403591d8>
;   Count (RO) = 4
;   Document (RO) = #<VLA-OBJECT IAcadDocument 000000002c59aed0>
;   Handle (RO) = "8"
;   HasExtensionDictionary (RO) = 0
;   ObjectID (RO) = 43
;   ObjectID32 (RO) = 43
;   ObjectName (RO) = "AcDbViewportTable"
;   OwnerID (RO) = 0
;   OwnerID32 (RO) = 0


; ビューポートのエンティティ名を書き出してみる
(vlax-for viewport
  (vla-get-viewports *ActDoc*)
  (princ
    (vl-remove-if 'null
      (mapcar
        '(lambda (x) (if (member (car x) '(-1 0 5)) x))
        (entget (vlax-vla-object->ename viewport))))) )

; ((-1 . <図形名: 7ffffb055c0>) (0 . "VPORT") (5 . "544"))
; ((-1 . <図形名: 7ffffb05d00>) (0 . "VPORT") (5 . "5B8"))
; ((-1 . <図形名: 7ffffb05d10>) (0 . "VPORT") (5 . "5B9"))
; ((-1 . <図形名: 7ffffb05d20>) (0 . "VPORT") (5 . "5BA"))


関連事項